PelekaPeleka Developers
API ReferenceWebhooks

Get a single delivery attempt, including request/response headers and body

GET
/api/v1/webhooks/{id}/deliveries/{deliveryId}
X-API-Key<token>

In: header

Path Parameters

id*string

Webhook UUID

deliveryId*string

Delivery UUID

Response Body

application/json

curl -X GET "https://example.com/api/v1/webhooks/string/deliveries/string"
{  "data": {    "id": "550e8400-e29b-41d4-a716-446655440000",    "eventType": "contact.created",    "payload": {      "contactId": "550e8400-e29b-41d4-a716-446655440000",      "email": "[email protected]"    },    "responseStatus": 200,    "responseBody": "{\"received\":true}",    "requestHeaders": {      "content-type": "application/json",      "x-peleka-signature": "t=1735689600,v1=..."    },    "responseHeaders": {      "content-type": "application/json"    },    "responseTimeMs": 142,    "attemptCount": 1,    "deliveredAt": "2026-01-01T00:00:00.000Z",    "attemptedAt": "2026-01-01T00:00:00.000Z"  }}